IntegrationsKlaviyo

Create a draft campaign for existing list/segment audiences with its messages, send strategy, tracking and smart-sending options; optionally assign a template to the email messages

POST
/integrations/connections/{connection_id}/providers/klaviyo/campaigns/create

Create a draft campaign for existing list/segment audiences with its messages, send strategy, tracking and smart-sending options; optionally assign a template to the email messages. Never sends: the draft is scheduled or sent in Klaviyo.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/klaviyo/campaigns/create" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "name": "Customer documents",    "audiences": {      "included": [        "example"      ]    },    "messages": [      {}    ]  }'
{  "invocation_id": "123e4567-e89b-42d3-a456-426614174000",  "status": "ACTIVE",  "job_id": "example"}